#!/bin/bash
# Script to build drosophila medulla connectome from supplementary material of 
# http://www.nature.com/nature/journal/v500/n7461/full/nature12450.html
#
# Enrico Glerean Nov/2014. www.glerean.com. No copyright.

echo "*Vertices 379";

r=1;
while [ $r -lt 380 ]; do
    rlabel=$(cat droso_cells.csv |sed $r"q;d");
    echo $r '"'$rlabel'"';
    let r=r+1;   
done

echo "*Edges <ADD HERE EDGENUM, SEE LAST ROW>"
r=1;
edgenum=0;
while [ $r -lt 380 ]; do
    rlabel=$(cat droso_cells.csv |sed $r"q;d");
    c=1;
    while [ $c -lt 380 ]; do
        clabel=$(cat droso_cells.csv |sed $c"q;d");
        edge=$(cat droso_connectome.csv|grep -i "|$rlabel.*|$clabel"|wc -l);
        if [ $edge -gt 0 ]; then 
            echo "$r $c $edge";
            let edgenum=edgenum+1;  
        fi
        edge="";
        let c=c+1;
    done
    let r=r+1;
done
echo $edgenum
